Bug 118685 - RHEL3 U3 MustFix : affinity syscalls mishandled
Summary: RHEL3 U3 MustFix : affinity syscalls mishandled
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-18 21:23 UTC by Ulrich Drepper
Modified: 2010-10-22 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 23:26:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the problem (1.21 KB, patch)
2004-03-18 21:24 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:338 normal SHIPPED_LIVE Updated strace package 2004-09-01 04:00:00 UTC

Description Ulrich Drepper 2004-03-18 21:23:37 UTC
Description of problem:
The bitmask for the affinity syscalls is not copied from the user process.

Version-Release number of selected component (if applicable):
strace-4.5.2-1.1


How reproducible:
always


Steps to Reproduce:
1.strace tst-attr3 of the glibc test suite
2.
3.
  
Actual results:
sometimes segv, other times garbage output

Expected results:
processor bitmask

Additional info:

Comment 1 Ulrich Drepper 2004-03-18 21:24:22 UTC
Created attachment 98665 [details]
Patch to fix the problem

It's tested on x86.  But should work  everywhere.

Comment 2 Roland McGrath 2004-04-16 22:05:27 UTC
Fixed upstream.

Comment 3 Jay Turner 2004-09-02 03:32:25 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-338.html



Note You need to log in before you can comment on or make changes to this bug.